Get collection-set
Get the Movies and artwork represented by a Collection Set.
GET https://api.mediux.io/collection-set/{setId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Get collection-set
Section titled “Get collection-set”Status: 200 OK
{ "data": { "id": 410, "title": "The Lord of the Rings Collection Artwork Set", "description": null, "createdBy": "username", "dateCreated": "2026-09-04T10:00:00Z", "dateUpdated": "2026-09-04T10:00:00Z", "language": "en", "edition": "1", "boxset": null, "collection": { "id": 119, "title": "The Lord of the Rings Collection", "poster": "/asset-collection-poster.jpg", "backdrop": "/asset-collection-backdrop.jpg", "logo": null, "squareArt": null, "movies": [ { "id": 120, "title": "The Fellowship of the Ring", "year": 2001, "poster": "/asset-fellowship-poster.jpg", "backdrop": "/asset-fellowship-backdrop.jpg", "logo": null, "squareArt": null, "thumb": null }, { "id": 121, "title": "The Two Towers", "year": 2002, "poster": "/asset-two-towers-poster.jpg", "backdrop": null, "logo": null, "squareArt": null, "thumb": "/asset-two-towers-thumb.jpg" } ] } }}